tftpd(1)

NAME
tftpd - Cobbler tftpd service

SYNOPSIS

    tftpd [-h,--help] [-v,--verbose] [-d,--debug] [--version]

    [--port=<port>(69)]

DESCRIPTION

A python, cobbler integrated TFTP server. It is suitable to call via xinetd, or as a stand-alone daemon. If called via xinetd, it will run, handling requests, until it has been idle for at least 30 seconds, and will then exit.

This server queries cobbler for information about hosts that make requests, and will instantiate template files from the materialized hosts' 'fetchable_files' attribute.

AUTHOR

    Douglas Kilpatrick <kilpatds@oppositelock.org>

LICENSE

    This script is in the public domain, free from copyrights or restrictions

VERSION

    0.5

TODO

    Requirement: retransmit Requirement: Ignore stale retrainsmits Security: only return files that are o+r Security: support hosts.allow/deny Security: Make absolute path support optional, and default off Feature: support blksize2 (blksize, limited to powers of 2) Feature: support utimeout (timeout, in ms)

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Increase output verbosity

-d, --debug
    Debug (vastly increases output verbosity)

-c, --cache
    Use a cache to help find hosts w/o IP address

--cache-time=CACHE_TIME
    How long an ip->name mapping is valid

--neg-cache-time=NEG_CACHE_TIME
    How long an ip->name mapping is valid

--file_cmd=FILE_CMD
    The location of the 'file' command

--idle=IDLE
    How long to wait for input

--logger=LOGGER
    How to log

--max_blksize=MAX_BLKSIZE
    The maximum block size to permit

--port=PORT
    The port to bind to for new requests

--prefix=PREFIX
    Where files are stored by default [/var/lib/tftpboot]

--timeout=TIMEOUT
    How long to wait for a given request

--user=USER
    The user to run as [nobody]

-B MAX_BLKSIZE
    alias for --max-blksize, for in.tftpd compatibility